aboutsummaryrefslogtreecommitdiffstats
path: root/testing/plymouth/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2017-01-25 21:25:55 +0200
committerTimo Teräs <timo.teras@iki.fi>2017-01-25 19:28:33 +0000
commite6008f2c4d8a820d9238fbd14236e7f239848041 (patch)
treed18389e385e13ee8dd8d86568d7516ef80d7bfda /testing/plymouth/APKBUILD
parentd66adb97be094fb7d54436775b65640599fd5176 (diff)
downloadaports-e6008f2c4d8a820d9238fbd14236e7f239848041.tar.gz
aports-e6008f2c4d8a820d9238fbd14236e7f239848041.tar.bz2
aports-e6008f2c4d8a820d9238fbd14236e7f239848041.tar.xz
testing/plymouth: upgrade to git snapshot 20170123
Diffstat (limited to 'testing/plymouth/APKBUILD')
-rw-r--r--testing/plymouth/APKBUILD22
1 files changed, 16 insertions, 6 deletions
diff --git a/testing/plymouth/APKBUILD b/testing/plymouth/APKBUILD
index 3a797ec59a..0b646bcdc9 100644
--- a/testing/plymouth/APKBUILD
+++ b/testing/plymouth/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Timo Teräs <timo.teras@iki.fi>
pkgname=plymouth
pkgver=0.9.2
-pkgrel=0
+pkgrel=1
pkgdesc="graphical bootsplash on linux"
url="http://www.freedesktop.org/wiki/Software/Plymouth"
arch="all"
@@ -12,14 +12,21 @@ depends_dev="pango-dev
gtk+3.0-dev
libpng-dev
libdrm-dev"
-makedepends="$depends_dev docbook-xsl"
+makedepends="$depends_dev docbook-xsl autoconf automake"
install=""
subpackages="$pkgname-dev $pkgname-doc $pkgname-themes $pkgname-x11:_render $pkgname-drm:_render"
source="http://www.freedesktop.org/software/plymouth/releases/plymouth-$pkgver.tar.bz2
- plymouth-rpmatch.patch"
+ plymouth-rpmatch.patch
+ plymouth-git-master-20170123.patch
+ "
builddir="$srcdir"/plymouth-$pkgver
+prepare() {
+ default_prepare || return 1
+ autoreconf -f -i -s
+}
+
build() {
cd "$builddir"
./configure --prefix=/usr \
@@ -51,8 +58,11 @@ _render() {
}
md5sums="ff420994deb7ea203df678df92e7ab7d plymouth-0.9.2.tar.bz2
-7d342aa2f011833647f1c696007b190c plymouth-rpmatch.patch"
+7d342aa2f011833647f1c696007b190c plymouth-rpmatch.patch
+d3451ffd12270bdbdaf563c64580addc plymouth-git-master-20170123.patch"
sha256sums="2f0ce82042cf9c7eadd2517a1f74c8a85fa8699781d9f294a06eade29fbed57f plymouth-0.9.2.tar.bz2
-2281bffcd64de8c2e675656d21b26b0a74fa997af52e941fe6f356d8d4362e37 plymouth-rpmatch.patch"
+2281bffcd64de8c2e675656d21b26b0a74fa997af52e941fe6f356d8d4362e37 plymouth-rpmatch.patch
+cdbaa71a099bbb75d669db0c581770611ebd82dc5506ae7934cb4b64afdbd7bb plymouth-git-master-20170123.patch"
sha512sums="89356eb8326504fbf3155de262ce15de0847f0a0e6d157d873cf1dea9af464a6cb9e11d7143ee9a595b217a2487060b5835eba5ac142c3cd6d66689deb272e60 plymouth-0.9.2.tar.bz2
-ec1c32ddf7ee418ef1b5d173040db464193d9bca3fd85d5c3a8d2ee13ba1218947f7c9f39c403d3ccced70be28b2c7328e82dc8f967e9bdeea1651dee4be2dc7 plymouth-rpmatch.patch"
+ec1c32ddf7ee418ef1b5d173040db464193d9bca3fd85d5c3a8d2ee13ba1218947f7c9f39c403d3ccced70be28b2c7328e82dc8f967e9bdeea1651dee4be2dc7 plymouth-rpmatch.patch
+6545c29190b9cf04df0284a73c26ec7d14fddf2c4d7a8f3dff5242b49fafda24ee2aeab54b44b19deb9228707816b6b3779ea8bec7b742020cb1f7e2ca64b509 plymouth-git-master-20170123.patch"